> For the complete documentation index, see [llms.txt](https://docs.cleartax.in/cleartax-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/e-waybill-api/getting-upload-validation.md).

# (Deprecated) Getting Upload Validation

{% hint style="danger" %}
This API is deprecated. Please use the [E-Waybill APIs from the unified set available here](/cleartax-docs/e-invoicing-api/introduction-to-e-invoicing-api.md).
{% endhint %}

## Get upload validation

<mark style="color:blue;">`GET`</mark> `https://ewb.cleartax.in/api/v0.2/taxable_entities/{taxable_entity_id}/upload_activity/{activity_id}`

This endpoint allows you to get file upload validation.\
\&#xNAN;**{taxable\_entity\_id}** : taxable entity ID associated to the GSTIN.\
\&#xNAN;**{activity\_id}** : activity id given by Creating or Updating Documents API.\
\
`Sample request : https://ewb.cleartax.in/api/v0.2/taxable_entities/c5cc664c-d473-4ec5-9301-acf43349b7c4/upload_activity/02de95e9-864d-49b5-a793-5e29f718dd2b`

#### Headers

| Name                                        | Type   | Description                                        |
| ------------------------------------------- | ------ | -------------------------------------------------- |
| X-Cleartax-Auth-Token: \<USER\_AUTH\_TOKEN> | string | Auth token will be generated & given upon request. |

{% tabs %}
{% tab title="200 file upload validation successfully retrieved.
Note: Only the response fields relevant for integration are mentioned above. Actual response will have other fields which may not be relevant here.
" %}

```javascript
{
    "activity_id": "02de95e9-864d-49b5-a793-5e29f718dd2b",
    "owner_taxable_entity_id": "c5cc664c-d473-4ec5-9301-acf43349b7c4",
    "owner_gstin": "27AACCB1409R1ZH",
    "owner_taxable_entity_name": "Maharashtra",
    "status": "PROCESSED",
    "total_rows_processed": 2,
    ........
}
```

{% endtab %}

{% tab title="404 In case provided activity\_id or parameter is incorrect." %}

```javascript
{
    "errors": {
        "err_1": {
            "code": "404",
            "message": "Unknown activity id 02de95e9-864d-49b5-a793-5e29f718dd2",
            "error_group_code": 0,
            "error_id": 0
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/e-waybill-api/getting-upload-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
